2023-01-30 02:13 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003822OrbitalDestroyer[All Projects] Generalpublic2020-03-21 16:00
ReporterRetroplay 
Assigned ToCFOUProject InfoOrbital Destroyer (Trojan)
http://www.whdload.de/games/OrbitalDestroyer.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Summary0003822: Crashes with "Exception "Illegal Instruction" ($10) at $160BC occured." when
DescriptionGameVersion: english,pal,2 disks (SPS 2230)
SlaveVersion: 1.1 from 27.12.05

Crashes with "Exception "Illegal Instruction" ($10) at $160BC occured." when starting a new game.
whdl_register:
https://pastebin.com/z4Bn7wCP
TagsNo tags attached.
MachineA1200
CPU68030
CPUSpeed33
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem128 MB
WorkbenchOS 3.1
KickROM40 - Kick 3.1
KickSoftSelfmade
WHDLoad18.4beta
importedyes
Attached Files
  • ? file icon .whdl_register (3,209 bytes) 2020-03-20 10:33 -
    ************************* 20-Mar-20 10:31:51 ************************18.6.5968***
    Slave='OrbitalDestroyer.Slave' (652 bytes)
    Resload   47FE9000 - 47FF0738 (  30520) at 47FE9000  GL=$47FF2000
    Slave     47FFB000 - 47FFB268 (    616) at 47FFB000  BaseMemSize=$80000
    attn=207(UAE,30) fc=4 kn=23100 cs=D936 rw=0 zpt=-1 ep=0 ei=0
    setcpu=33D(DC,IC,SCB,ECB,BNC)
    
    Exception "Illegal Instruction" ($10) at $160BC occured.
    
    $00016070 move.w       d1,($dff0e0)
    $00016076 move.w       d2,($1681e)
    $0001607c move.w       d2,($dff0e4)
    $00016082 move.w       d3,($16826)
    $00016088 move.w       d3,($dff0e8)
    $0001608e move.w       d4,($1682e)
    $00016094 move.w       d4,($dff0ec)
    $0001609a move.l       #$7d04,($160a6)
    $000160a4 rts
    $000160a6 ori.b        #0,d0
    $000160aa btst         #6,($bfe001)
    $000160b2 beq.b        $160b6
    $000160b4 rts
    $000160b6 pea          ($151b2)
    ›1m$000160bc illegal
    ›22m$000160be move.w       ($167ba),d0
    $000160c4 cmp.w        ($167ba),d0
    $000160ca beq.b        $160c4
    $000160cc rts
    $000160ce move.l       d0,-(a7)                       ;$000177b6
    $000160d0 move.l       a0,-(a7)                       ;$000177b6
    $000160d2 move.w       #8,($dff09c)
    $000160da move.b       ($bfed01),d0
    $000160e0 btst         #4,d0
    $000160e4 bne.b        $1613a
    $000160e6 btst         #3,d0
    $000160ea beq.b        $1613a
    $000160ec move.b       ($bfec01),d0
    $000160f2 move.b       #1,($bfec01)
    
    exception stackframe:
    $000177B6 211D0001 60BC0010
    regular stack:
    $000177BE 000151B2 0000FDDE 464F524D 00005B2E 494C424D 424D4844 00000014 014000C8
    $000177DE 00000000 05020100 00000A0B 014000C8 434D4150 00000060 000000F0 F0F0C0C0
    $000177FE 00A0A000 80800060 60004040 40203040 20405030 60705080 7060A080 80C090A0
    $0001781E 00005050 50606060 808080A0 A0A0F0A0 90D08070 A0605080 503070D0 F00090F0
    $0001783E 0060F000 00E00000 B0000090 E00000F0 7000F0B0 00F0F000 44505056 00000068
    
      ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
    Dx        0      FFFF   1BE0000  4380000F  62C0000F  8200000F  D6D600FF        8A
    Ax    104B8     1053A     172B6     15E72      41B0     65E86     151AE
    
                     TTSM III   XNZVC
    PC=   160BC›22m  SR %0010000100011101  USP=7FC00  ›1mISP=177B6  MSP=7F800
    VBR=47FF3000  SFC=4  DFC=4  CACR=2111  CAAR=0  TT0=FF8540  TT1=0
    TC=80C07760  CRP=8000000247FE7000  SRP=8000000247FE7000  MMUSR=0
    
             MEDRAAAABVCPSDT          YZ  PMRCBSDAAAA
    intena=%0100100000111000›22m dmacon=%›1m0010001111011111 adkcon=$1100
    intreq=%0000000000000000
    vposr....A300  vhposr...1A06  joy0dat..0906  joy1dat..0000  clxdat...8000  
    pot0dat..1200  pot1dat..0000  potinp...5400  serdatr..3000  dskbytr..0000  
    deniseid.00F8  hhposr...0006  
       ciaa:     PI ROPS		   ciab:     PI ROPS
    	cra=00000000›22m  ta=  80<  80	   cra=›1m00000000  ta=FFFF<FFFF
    	    AII ROPS			    AII ROPS
    	crb=00000000›22m  tb=21FF<21FF	   crb=›1m00000000  tb=FFFF<FFFF
    	    10RTWCLO	  parallel	    DRCCDSOY      M3210HDS
    	pra=10111100›22m  prb=›1m11111111›22m      pra=›1m00000111›22m  prb=›1m11111111
           ddra=00000011›22m ddrb=›1m00000000›22m     ddra=›1m11000000›22m ddrb=›1m11111111
           event=000060  icr=00  sdr=00    event=007306  icr=00  sdr=00
    
    ? file icon .whdl_register (3,209 bytes) 2020-03-20 10:33 +

-Relationships
+Relationships

-Notes

note ~0007907

CFOU (developer)

verify why ? cracked?

note ~0007915

Retroplay (reporter)

No, it's the original SPS 2230 images I used to install it.

It start up and show title screen but as soon as mouse button is clicked to start game it crashes.
Same thing still happens with latest WHDLoad.

note ~0007938

CFOU (developer)

i think it's crash done be original coder if you use mouse instead of real phaser.

indeed patch was tested with real trojan light gun only... an you can not use mouse to play

i will verify

note ~0007939

CFOU (developer)

fixed with v1.2 soon released

in winuae to enter in game you must:
1) used mouse as light gun in port 2
2) press C to calibrate
3) leave press LMB/Trigger to enter in game in main menu
+Notes

-Issue History
Date Modified Username Field Change
2018-02-19 17:02 administrator New Issue
2018-02-19 17:02 administrator Status new => assigned
2018-02-19 17:02 administrator Assigned To => CFOU
2020-03-20 01:57 CFOU Note Added: 0007907
2020-03-20 10:33 Retroplay File Added: .whdl_register
2020-03-20 10:33 Retroplay Note Added: 0007915
2020-03-20 20:57 CFOU Assigned To CFOU =>
2020-03-20 20:57 CFOU Assigned To => CFOU
2020-03-21 15:06 CFOU Note Added: 0007938
2020-03-21 16:00 CFOU Status assigned => closed
2020-03-21 16:00 CFOU Resolution open => fixed
2020-03-21 16:00 CFOU Note Added: 0007939
+Issue History